GDB (xrefs)

Public Attributes | List of all members
tfile_trace_file_writer Struct Reference

## Public Attributes
struct trace_file_writer | base
FILE * | fp
char * | pathname

## Detailed Description

Definition at line 43 of file tracefile-tfile.c.

## Member Data Documentation

## ◆ base

struct trace_file_writer tfile_trace_file_writer::base

Definition at line 45 of file tracefile-tfile.c.

Referenced by tfile_trace_file_writer_new().

## ◆ fp

FILE* tfile_trace_file_writer::fp

Definition at line 48 of file tracefile-tfile.c.

Referenced by tfile_dtor(), tfile_end(), tfile_start(), tfile_trace_file_writer_new(), tfile_write_definition_end(), tfile_write_header(), tfile_write_raw_data(), tfile_write_regblock_type(), tfile_write_status(), tfile_write_tdesc(), tfile_write_uploaded_tp(), and tfile_write_uploaded_tsv().

## ◆ pathname

char* tfile_trace_file_writer::pathname

Definition at line 50 of file tracefile-tfile.c.

Referenced by tfile_dtor(), tfile_end(), tfile_start(), tfile_trace_file_writer_new(), tfile_write_header(), and tfile_write_raw_data().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tracefile-tfile.c